Bug 269268 - Crash when pulling an account icon from asset accounts into liabilities
Summary: Crash when pulling an account icon from asset accounts into liabilities
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: SVN
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
: 269269 278145 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-23 22:51 UTC by Marko Käning
Modified: 2011-07-20 14:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Käning 2011-03-23 22:51:39 UTC
Application that crashed: kmymoney
Version of the application: 4.5.90-svn1225304
KDE Version: 4.3.5 (KDE 4.3.5) "release 0"
Qt Version: 4.5.3
Operating System: Linux 2.6.31.14-0.6-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

What I was doing when the application crashed:
I went to the Accounts/Icons view and pulled an account icon from the Assets list into the Liabilities list. When dropping the icon the application crashes.

This happens on Linux (OpenSUSE 11.2) but also on MacOSX with KMM installed through MacPorts.

 -- Backtrace:
Application: KMyMoney (kmymoney), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fc29bcd3750 (LWP 20176))]

Thread 2 (Thread 0x7fc287dd2910 (LWP 20193)):
#0  0x00007fc298f432cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc297d694a2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fc297d5f5e2 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007fc297d68485 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007fc298f3e65d in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc296776ecd in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc29bcd3750 (LWP 20176)):
[KCrash Handler]
#5  0x00007fc297e461d3 in QAbstractItemModel::decodeData(int, int, QModelIndex const&, QDataStream&) () from /usr/lib64/libQtCore.so.4
#6  0x00007fc297e46b87 in QAbstractListModel::dropMimeData(QMimeData const*, Qt::DropAction, int, int, QModelIndex const&) () from /usr/lib64/libQtCore.so.4
#7  0x00007fc297833ff6 in QListWidget::dropMimeData(int, QMimeData const*, Qt::DropAction) () from /usr/lib64/libQtGui.so.4
#8  0x00007fc2977cbf6d in QAbstractItemView::dropEvent(QDropEvent*) () from /usr/lib64/libQtGui.so.4
#9  0x00007fc297834ff0 in QListWidget::dropEvent(QDropEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007fc297367747 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#11 0x00007fc2976a6ab6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#12 0x00007fc2977d8f1b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#13 0x00007fc297e4d127 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#14 0x00007fc29731927c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007fc297320a7d in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007fc29a34a016 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#17 0x00007fc297e4dddc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#18 0x00007fc297392ffa in ?? () from /usr/lib64/libQtGui.so.4
#19 0x00007fc2973979a6 in QDragManager::drop() () from /usr/lib64/libQtGui.so.4
#20 0x00007fc297397b60 in QDragManager::eventFilter(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#21 0x00007fc297e4d1eb in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#22 0x00007fc297319226 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007fc2973203c1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00007fc29a34a016 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#25 0x00007fc297e4dddc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#26 0x00007fc29731fc90 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
#27 0x00007fc297385cfe in ?? () from /usr/lib64/libQtGui.so.4
#28 0x00007fc297384d9a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#29 0x00007fc2973acb6c in ?? () from /usr/lib64/libQtGui.so.4
#30 0x00007fc291c94dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#31 0x00007fc291c987b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fc291c988e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#33 0x00007fc297e763a3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#34 0x00007fc2973ac31e in ?? () from /usr/lib64/libQtGui.so.4
#35 0x00007fc297e4c712 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#36 0x00007fc297e4cae4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#37 0x00007fc2973974ac in QDragManager::drag(QDrag*) () from /usr/lib64/libQtGui.so.4
#38 0x00007fc29732b518 in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib64/libQtGui.so.4
#39 0x00007fc2977eab7f in QListView::internalDrag(QFlags<Qt::DropAction>) () from /usr/lib64/libQtGui.so.4
#40 0x00007fc2977eac88 in QListView::startDrag(QFlags<Qt::DropAction>) () from /usr/lib64/libQtGui.so.4
#41 0x00007fc2977d3966 in QAbstractItemView::mouseMoveEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#42 0x00007fc2977eb219 in QListView::mouseMoveEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007fc297367b52 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#44 0x00007fc2976a6ab6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#45 0x00007fc2977d8f1b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#46 0x00007fc297e4d127 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#47 0x00007fc29731927c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#48 0x00007fc2973203c1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#49 0x00007fc29a34a016 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#50 0x00007fc297e4dddc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#51 0x00007fc29731fc90 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
#52 0x00007fc297385cfe in ?? () from /usr/lib64/libQtGui.so.4
#53 0x00007fc297384d9a in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#54 0x00007fc2973acb6c in ?? () from /usr/lib64/libQtGui.so.4
#55 0x00007fc291c94dee in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#56 0x00007fc291c987b8 in ?? () from /usr/lib64/libglib-2.0.so.0
#57 0x00007fc291c988e0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#58 0x00007fc297e763a3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#59 0x00007fc2973ac31e in ?? () from /usr/lib64/libQtGui.so.4
#60 0x00007fc297e4c712 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#61 0x00007fc297e4cae4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#62 0x00007fc297e4ec99 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#63 0x0000000000459618 in main (argc=<value optimized out>, argv=<value optimized out>) at /home/marko/WC/kmymoney/kmymoney/main.cpp:260

Reported using DrKonqi
Comment 1 Marko Käning 2011-03-23 22:55:49 UTC
I cannot edit the product entry anymore... :-(
It's not kde, as entered by DrKonqi, but kmymoney4!
Comment 2 Marko Käning 2011-03-23 23:03:02 UTC
OK, is now a doublette of ticket #269269.
Comment 3 Stefan Böhmann 2011-03-23 23:08:51 UTC
*** Bug 269269 has been marked as a duplicate of this bug. ***
Comment 4 Marko Käning 2011-03-23 23:15:38 UTC
Thanks Stefan, for taking care of the change of the product name. I wonder why I can't do this myself, since the bug was initially committed by me.
Comment 5 Cristian Oneț 2011-03-24 18:41:59 UTC
SVN commit 1225914 by conet:

BUG: 269268

Drag and drop should have never been enabled between the different account lists in icon mode only internal moves are supported.

 M  +17 -5     kaccountsviewdecl.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1225914
Comment 6 Cristian Oneț 2011-07-20 14:01:49 UTC
*** Bug 278145 has been marked as a duplicate of this bug. ***